Apache HTTP Server Request Library

# apreq_hook_t Struct Reference

`#include <apreq_parser.h>`

## Data Fields

apreq_hook_function_t | hook
apreq_hook_t * | next
apr_pool_t * | pool
void * | ctx

## Detailed Description

A hook is called by the parser whenever data arrives in a file upload parameter of the request body. You may associate any number of hooks with a parser instance with apreq_parser_add_hook().

## Field Documentation

apreq_hook_function_t apreq_hook_t::hook

the hook function

apreq_hook_t* apreq_hook_t::next

next item in the linked list

apr_pool_t* apreq_hook_t::pool

pool which allocated this hook

void* apreq_hook_t::ctx

a user defined pointer passed to the hook function

The documentation for this struct was generated from the following file:

- include/apreq_parser.h